Search products by term and store
POST
/v1/search/products
const url = 'https://api.amzconnect.io/v1/search/products';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"store":"com","search_term":"iPhone"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.amzconnect.io/v1/search/products \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "store": "com", "search_term": "iPhone" }'Search Amazon products by a search term within a given store.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
store
required
The store identifier (Amazon marketplace). Allowed values: com, co.uk, de, fr, it, es, ca, com.au, co.jp, in, com.br, com.mx, nl, se, pl, com.tr, ae, sg.
string
Example
comsearch_term
required
The search term.
string
Example
iPhoneResponses
Section titled “Responses”Search results as JSON.
Missing or invalid API key.
Monthly usage quota exceeded.